org.apache.calcite.avatica.proto

## Class Common.MetaDataOperationArgument

- java.lang.Object
- - com.google.protobuf.AbstractMessageLite
  - - com.google.protobuf.AbstractMessage
    - - com.google.protobuf.GeneratedMessageV3
      - - org.apache.calcite.avatica.proto.Common.MetaDataOperationArgument

All Implemented Interfaces:
  com.google.protobuf.Message, com.google.protobuf.MessageLite, com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder, Serializable, Common.MetaDataOperationArgumentOrBuilder

Enclosing class:
  Common

    public static final class Common.MetaDataOperationArgument
    extends com.google.protobuf.GeneratedMessageV3
    implements Common.MetaDataOperationArgumentOrBuilder

     Represents the breadth of arguments to DatabaseMetaData functions

Protobuf type `MetaDataOperationArgument`

See Also:
  Serialized Form

### Nested Class Summary

Nested Classes
`static class` `Common.MetaDataOperationArgument.ArgumentType` Protobuf enum `MetaDataOperationArgument.ArgumentType`
`static class` `Common.MetaDataOperationArgument.Builder` Represents the breadth of arguments to DatabaseMetaData functions

### Nested classes/interfaces inherited from class com.google.protobuf.GeneratedMessageV3

`com.google.protobuf.GeneratedMessageV3.BuilderParent, com.google.protobuf.GeneratedMessageV3.ExtendableBuilder<MessageType extends com.google.protobuf.GeneratedMessageV3.ExtendableMessage,BuilderType extends com.google.protobuf.GeneratedMessageV3.ExtendableBuilder<MessageType,BuilderType>>, com.google.protobuf.GeneratedMessageV3.ExtendableMessage<MessageType extends com.google.protobuf.GeneratedMessageV3.ExtendableMessage>, com.google.protobuf.GeneratedMessageV3.ExtendableMessageOrBuilder<MessageType extends com.google.protobuf.GeneratedMessageV3.ExtendableMessage>, com.google.protobuf.GeneratedMessageV3.FieldAccessorTable`

### Field Summary

Fields
`private int` `bitField0_`
`static int` `BOOL_VALUE_FIELD_NUMBER`
`private boolean` `boolValue_`
`private static Common.MetaDataOperationArgument` `DEFAULT_INSTANCE`
`static int` `INT_ARRAY_VALUES_FIELD_NUMBER`
`static int` `INT_VALUE_FIELD_NUMBER`
`private List<Integer>` `intArrayValues_`
`private int` `intArrayValuesMemoizedSerializedSize`
`private int` `intValue_`
`private byte` `memoizedIsInitialized`
`private static com.google.protobuf.Parser<Common.MetaDataOperationArgument>` `PARSER`
`private static long` `serialVersionUID`
`static int` `STRING_ARRAY_VALUES_FIELD_NUMBER`
`static int` `STRING_VALUE_FIELD_NUMBER`
`private com.google.protobuf.LazyStringList` `stringArrayValues_`
`private Object` `stringValue_`
`private int` `type_`
`static int` `TYPE_FIELD_NUMBER`

### Fields inherited from class com.google.protobuf.GeneratedMessageV3

`alwaysUseFieldBuilders, unknownFields`

### Fields inherited from class com.google.protobuf.AbstractMessage

`memoizedSize`

### Fields inherited from class com.google.protobuf.AbstractMessageLite

`memoizedHashCode`

### Constructor Summary

Constructors
`private` `MetaDataOperationArgument()`
`private` `MetaDataOperationArgument(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`private` `MetaDataOperationArgument(com.google.protobuf.GeneratedMessageV3.Builder<?> builder)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`boolean` `equals(Object obj)`
`boolean` `getBoolValue()` `optional bool bool_value = 2;`
`static Common.MetaDataOperationArgument` `getDefaultInstance()`
`Common.MetaDataOperationArgument` `getDefaultInstanceForType()`
`static com.google.protobuf.Descriptors.Descriptor` `getDescriptor()`
`int` `getIntArrayValues(int index)` `repeated sint32 int_array_values = 5;`
`int` `getIntArrayValuesCount()` `repeated sint32 int_array_values = 5;`
`List<Integer>` `getIntArrayValuesList()` `repeated sint32 int_array_values = 5;`
`int` `getIntValue()` `optional sint32 int_value = 3;`
`com.google.protobuf.Parser<Common.MetaDataOperationArgument>` `getParserForType()`
`int` `getSerializedSize()`
`String` `getStringArrayValues(int index)` `repeated string string_array_values = 4;`
`com.google.protobuf.ByteString` `getStringArrayValuesBytes(int index)` `repeated string string_array_values = 4;`
`int` `getStringArrayValuesCount()` `repeated string string_array_values = 4;`
`com.google.protobuf.ProtocolStringList` `getStringArrayValuesList()` `repeated string string_array_values = 4;`
`String` `getStringValue()` `optional string string_value = 1;`
`com.google.protobuf.ByteString` `getStringValueBytes()` `optional string string_value = 1;`
`Common.MetaDataOperationArgument.ArgumentType` `getType()` `optional .MetaDataOperationArgument.ArgumentType type = 6;`
`int` `getTypeValue()` `optional .MetaDataOperationArgument.ArgumentType type = 6;`
`com.google.protobuf.UnknownFieldSet` `getUnknownFields()`
`int` `hashCode()`
`protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable` `internalGetFieldAccessorTable()`
`boolean` `isInitialized()`
`static Common.MetaDataOperationArgument.Builder` `newBuilder()`
`static Common.MetaDataOperationArgument.Builder` `newBuilder(Common.MetaDataOperationArgument prototype)`
`Common.MetaDataOperationArgument.Builder` `newBuilderForType()`
`protected Common.MetaDataOperationArgument.Builder` `newBuilderForType(com.google.protobuf.GeneratedMessageV3.BuilderParent parent)`
`static Common.MetaDataOperationArgument` `parseDelimitedFrom(InputStream input)`
`static Common.MetaDataOperationArgument` `parseDelimitedFrom(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static Common.MetaDataOperationArgument` `parseFrom(byte[] data)`
`static Common.MetaDataOperationArgument` `parseFrom(byte[] data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static Common.MetaDataOperationArgument` `parseFrom(com.google.protobuf.ByteString data)`
`static Common.MetaDataOperationArgument` `parseFrom(com.google.protobuf.ByteString data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static Common.MetaDataOperationArgument` `parseFrom(com.google.protobuf.CodedInputStream input)`
`static Common.MetaDataOperationArgument` `parseFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static Common.MetaDataOperationArgument` `parseFrom(InputStream input)`
`static Common.MetaDataOperationArgument` `parseFrom(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static com.google.protobuf.Parser<Common.MetaDataOperationArgument>` `parser()`
`Common.MetaDataOperationArgument.Builder` `toBuilder()`
`void` `writeTo(com.google.protobuf.CodedOutputStream output)`

### Methods inherited from class com.google.protobuf.GeneratedMessageV3

`computeStringSize, computeStringSizeNoTag, getAllFields, getDescriptorForType, getField, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, hasField, hasOneof, internalGetMapField, makeExtensionsImmutable, newBuilderForType, parseDelimitedWithIOException, parseDelimitedWithIOException, parseUnknownField, parseWithIOException, parseWithIOException, parseWithIOException, parseWithIOException, serializeBooleanMapTo, serializeIntegerMapTo, serializeLongMapTo, serializeStringMapTo, writeReplace, writeString, writeStringNoTag`

### Methods inherited from class com.google.protobuf.AbstractMessage

`findInitializationErrors, getInitializationErrorString, hashBoolean, hashEnum, hashEnumList, hashFields, hashLong, toString`

### Methods inherited from class com.google.protobuf.AbstractMessageLite

`addAll, checkByteStringIsUtf8, toByteArray, toByteString, writeDelimitedTo, writeTo`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, hasField, hasOneof`

### Methods inherited from interface com.google.protobuf.MessageLite

`toByteArray, toByteString, writeDelimitedTo, writeTo`

### Field Detail

#### bitField0_

    private int bitField0_

#### STRING_VALUE_FIELD_NUMBER

    public static final int STRING_VALUE_FIELD_NUMBER

See Also:
  Constant Field Values

#### stringValue_

    private volatile Object stringValue_

#### BOOL_VALUE_FIELD_NUMBER

    public static final int BOOL_VALUE_FIELD_NUMBER

See Also:
  Constant Field Values

#### boolValue_

    private boolean boolValue_

#### INT_VALUE_FIELD_NUMBER

    public static final int INT_VALUE_FIELD_NUMBER

See Also:
  Constant Field Values

#### intValue_

    private int intValue_

#### STRING_ARRAY_VALUES_FIELD_NUMBER

    public static final int STRING_ARRAY_VALUES_FIELD_NUMBER

See Also:
  Constant Field Values

#### stringArrayValues_

    private com.google.protobuf.LazyStringList stringArrayValues_

#### INT_ARRAY_VALUES_FIELD_NUMBER

    public static final int INT_ARRAY_VALUES_FIELD_NUMBER

See Also:
  Constant Field Values

#### intArrayValues_

    private List<Integer> intArrayValues_

#### intArrayValuesMemoizedSerializedSize

    private int intArrayValuesMemoizedSerializedSize

#### TYPE_FIELD_NUMBER

    public static final int TYPE_FIELD_NUMBER

See Also:
  Constant Field Values

#### type_

    private int type_

#### memoizedIsInitialized

    private byte memoizedIsInitialized

#### serialVersionUID

    private static final long serialVersionUID

See Also:
  Constant Field Values

#### DEFAULT_INSTANCE

    private static final Common.MetaDataOperationArgument DEFAULT_INSTANCE

#### PARSER

    private static final com.google.protobuf.Parser<Common.MetaDataOperationArgument> PARSER

### Constructor Detail

#### MetaDataOperationArgument

    private MetaDataOperationArgument(com.google.protobuf.GeneratedMessageV3.Builder<?> builder)

#### MetaDataOperationArgument

    private MetaDataOperationArgument()

#### MetaDataOperationArgument

    private MetaDataOperationArgument(com.google.protobuf.CodedInputStream input,
                                      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                               throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

### Method Detail

#### getUnknownFields

    public final com.google.protobuf.UnknownFieldSet getUnknownFields()

Specified by:
  `getUnknownFields` in interface `com.google.protobuf.MessageOrBuilder`
Overrides:
  `getUnknownFields` in class `com.google.protobuf.GeneratedMessageV3`

#### getDescriptor

    public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

#### internalGetFieldAccessorTable

    protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()

Specified by:
  `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessageV3`

#### getStringValue

    public String getStringValue()

`optional string string_value = 1;`

Specified by:
  `getStringValue` in interface `Common.MetaDataOperationArgumentOrBuilder`

#### getStringValueBytes

    public com.google.protobuf.ByteString getStringValueBytes()

`optional string string_value = 1;`

Specified by:
  `getStringValueBytes` in interface `Common.MetaDataOperationArgumentOrBuilder`

#### getBoolValue

    public boolean getBoolValue()

`optional bool bool_value = 2;`

Specified by:
  `getBoolValue` in interface `Common.MetaDataOperationArgumentOrBuilder`

#### getIntValue

    public int getIntValue()

`optional sint32 int_value = 3;`

Specified by:
  `getIntValue` in interface `Common.MetaDataOperationArgumentOrBuilder`

#### getStringArrayValuesList

    public com.google.protobuf.ProtocolStringList getStringArrayValuesList()

`repeated string string_array_values = 4;`

Specified by:
  `getStringArrayValuesList` in interface `Common.MetaDataOperationArgumentOrBuilder`

#### getStringArrayValuesCount

    public int getStringArrayValuesCount()

`repeated string string_array_values = 4;`

Specified by:
  `getStringArrayValuesCount` in interface `Common.MetaDataOperationArgumentOrBuilder`

#### getStringArrayValues

    public String getStringArrayValues(int index)

`repeated string string_array_values = 4;`

Specified by:
  `getStringArrayValues` in interface `Common.MetaDataOperationArgumentOrBuilder`

#### getStringArrayValuesBytes

    public com.google.protobuf.ByteString getStringArrayValuesBytes(int index)

`repeated string string_array_values = 4;`

Specified by:
  `getStringArrayValuesBytes` in interface `Common.MetaDataOperationArgumentOrBuilder`

#### getIntArrayValuesList

    public List<Integer> getIntArrayValuesList()

`repeated sint32 int_array_values = 5;`

Specified by:
  `getIntArrayValuesList` in interface `Common.MetaDataOperationArgumentOrBuilder`

#### getIntArrayValuesCount

    public int getIntArrayValuesCount()

`repeated sint32 int_array_values = 5;`

Specified by:
  `getIntArrayValuesCount` in interface `Common.MetaDataOperationArgumentOrBuilder`

#### getIntArrayValues

    public int getIntArrayValues(int index)

`repeated sint32 int_array_values = 5;`

Specified by:
  `getIntArrayValues` in interface `Common.MetaDataOperationArgumentOrBuilder`

#### getTypeValue

    public int getTypeValue()

`optional .MetaDataOperationArgument.ArgumentType type = 6;`

Specified by:
  `getTypeValue` in interface `Common.MetaDataOperationArgumentOrBuilder`

#### getType

    public Common.MetaDataOperationArgument.ArgumentType getType()

`optional .MetaDataOperationArgument.ArgumentType type = 6;`

Specified by:
  `getType` in interface `Common.MetaDataOperationArgumentOrBuilder`

#### isInitialized

    public final boolean isInitialized()

Specified by:
  `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
Overrides:
  `isInitialized` in class `com.google.protobuf.GeneratedMessageV3`

#### writeTo

    public void writeTo(com.google.protobuf.CodedOutputStream output)
                 throws IOException

Specified by:
  `writeTo` in interface `com.google.protobuf.MessageLite`
Overrides:
  `writeTo` in class `com.google.protobuf.GeneratedMessageV3`
Throws:
  `IOException`

#### getSerializedSize

    public int getSerializedSize()

Specified by:
  `getSerializedSize` in interface `com.google.protobuf.MessageLite`
Overrides:
  `getSerializedSize` in class `com.google.protobuf.GeneratedMessageV3`

#### equals

    public boolean equals(Object obj)

Specified by:
  `equals` in interface `com.google.protobuf.Message`
Overrides:
  `equals` in class `com.google.protobuf.AbstractMessage`

#### hashCode

    public int hashCode()

Specified by:
  `hashCode` in interface `com.google.protobuf.Message`
Overrides:
  `hashCode` in class `com.google.protobuf.AbstractMessage`

#### parseFrom

    public static Common.MetaDataOperationArgument parseFrom(com.google.protobuf.ByteString data)
                                                      throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

#### parseFrom

    public static Common.MetaDataOperationArgument parseFrom(com.google.protobuf.ByteString data,
                                                             com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                      throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

#### parseFrom

    public static Common.MetaDataOperationArgument parseFrom(byte[] data)
                                                      throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

#### parseFrom

    public static Common.MetaDataOperationArgument parseFrom(byte[] data,
                                                             com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                      throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

#### parseFrom

    public static Common.MetaDataOperationArgument parseFrom(InputStream input)
                                                      throws IOException

Throws:
  `IOException`

#### parseFrom

    public static Common.MetaDataOperationArgument parseFrom(InputStream input,
                                                             com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                      throws IOException

Throws:
  `IOException`

#### parseDelimitedFrom

    public static Common.MetaDataOperationArgument parseDelimitedFrom(InputStream input)
                                                               throws IOException

Throws:
  `IOException`

#### parseDelimitedFrom

    public static Common.MetaDataOperationArgument parseDelimitedFrom(InputStream input,
                                                                      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                               throws IOException

Throws:
  `IOException`

#### parseFrom

    public static Common.MetaDataOperationArgument parseFrom(com.google.protobuf.CodedInputStream input)
                                                      throws IOException

Throws:
  `IOException`

#### parseFrom

    public static Common.MetaDataOperationArgument parseFrom(com.google.protobuf.CodedInputStream input,
                                                             com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                      throws IOException

Throws:
  `IOException`

#### newBuilderForType

    public Common.MetaDataOperationArgument.Builder newBuilderForType()

Specified by:
  `newBuilderForType` in interface `com.google.protobuf.Message`
Specified by:
  `newBuilderForType` in interface `com.google.protobuf.MessageLite`

#### newBuilder

    public static Common.MetaDataOperationArgument.Builder newBuilder()

#### newBuilder

    public static Common.MetaDataOperationArgument.Builder newBuilder(Common.MetaDataOperationArgument prototype)

#### toBuilder

    public Common.MetaDataOperationArgument.Builder toBuilder()

Specified by:
  `toBuilder` in interface `com.google.protobuf.Message`
Specified by:
  `toBuilder` in interface `com.google.protobuf.MessageLite`

#### newBuilderForType

    protected Common.MetaDataOperationArgument.Builder newBuilderForType(com.google.protobuf.GeneratedMessageV3.BuilderParent parent)

Specified by:
  `newBuilderForType` in class `com.google.protobuf.GeneratedMessageV3`

#### getDefaultInstance

    public static Common.MetaDataOperationArgument getDefaultInstance()

#### parser

    public static com.google.protobuf.Parser<Common.MetaDataOperationArgument> parser()

#### getParserForType

    public com.google.protobuf.Parser<Common.MetaDataOperationArgument> getParserForType()

Specified by:
  `getParserForType` in interface `com.google.protobuf.Message`
Specified by:
  `getParserForType` in interface `com.google.protobuf.MessageLite`
Overrides:
  `getParserForType` in class `com.google.protobuf.GeneratedMessageV3`

#### getDefaultInstanceForType

    public Common.MetaDataOperationArgument getDefaultInstanceForType()

Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`